# Numeric
Ce repository contient l'énoncé du TP "numeric" et un squelette maven.
Nous vous conseillons de vous abonner aux notifications (watch) pour ne pas manquer des annonces ou des changements.

Après avoir choisi votre binôme, vous devrez **impérativement** :
- "Forker" ce repository dans votre namespace, le passer en **privé** et ajouter votre binôme (un seul repository par binôme).
- Ajouter ce repository comme deuxième remote (différent de `origin`, nommé `base` par exemple : `git remote add base ssh://git@ssh.hesge.ch:10572/steven.liatti/poo2019numeric.git`).
- Ajouter Joel Cavat (@joel.cavat), Jeremy Gobet (@jeremy.gobet) et Steven Liatti (@steven.liatti) en tant que *Reporter* de votre repository.
- Lire attentivement l'énoncé.


# Maven

Maven est un gestionnaire de projets et d'automatisation de production pour l'écosystème Java.

Le fichier `pom.xml` décrit le projet avec ses dépendances.

### Exécutez votre projet

- compilation et téléchargement des dépendances. Produit un `jar` dans le dossier `target`.

```
mvn package
```

- exécutez à l'aide de java et du classpath:

```
java -cp target/my-app-0.1.jar ch.hepia.my_app.App
```

- ou, à l'aide du plugin `exec-maven-plugin`:

```
mvn exec:java
```

### Exécutez les tests uniquement

```
mvn test
```

### Notes

Le plugin `maven-assembly-plugin` est configuré et permet d'embarquer les dépendances dans un seul `jar`.

